package be.jeffcheasey88.peeratcode.userstories;

import java.io.File;

import be.jeffcheasey88.peeratcode.Configuration;
import be.jeffcheasey88.peeratcode.TestDatabaseRepository;

public class BaseUserStoriesTest {
	
	private Configuration config;
	private TestDatabaseRepository repo;
	
	public BaseUserStoriesTest(){}
	
	public void init(){
		this.config = new Configuration("config-test.txt");
		this.repo = new TestDatabaseRepository(config, new File("database-schem.sql"));
	}
	
	public Configuration getConfig(){
		return this.config;
	}
	
	public TestDatabaseRepository getRepository(){
		return this.repo;
	}

}
